Bug 131928 - kernel fails with init=3
Summary: kernel fails with init=3
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-06 22:29 UTC by Emmanuel Seyman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 04:44:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Emmanuel Seyman 2004-09-06 22:29:57 UTC
Description of problem:
FC3t1's kernel will fail if "init=3" is added to the options list in
/etc/grub.conf

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.540

How reproducible:
always

Steps to Reproduce:
1. ensure that runlevel 5 is selected in /etc/inittab
2. edit /etc/grub.conf to include "init=3" to the kernel options
3. reboot
4. boot fails with the following message:

Red Hat nash version 4.1.9 starting
WARNING: can't access 3
exec of init (3) failed!!!: 2
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempted to kill init!
  
Actual results:
boot fails

Expected results:
boot should start/continue

Additional info:
Disabling SELinux via /etc/sysconfig/selinux has no effect
Putting runlevel 3 in /etc/inittab allow boot to complete (??)

Comment 1 Jeremy Katz 2004-09-07 04:44:07 UTC
init=3 isn't proper syntax, that says to use the binary "3" for init.
 You just want to add '3' to the boot options.


Note You need to log in before you can comment on or make changes to this bug.